import { Button } from '@tarojs/components';

import { Dialog } from '@taroify/core';

import { ProtocolPrivacy } from '@/components/protocol-privacy';

import './index.less';

interface IProps {
  open: boolean;
  onClick: () => void;
  onClose: () => void;
}

const PREFIX = 'location-dialog';

export default function LocationDialog(props: IProps) {
  const { open, onClick, onClose } = props;
  return (
    <Dialog open={open} onClose={onClose}>
      <Dialog.Content>
        <div className={`${PREFIX}__container`}>
          <div className={`${PREFIX}__title`}>{`我们需要获取您的位置信息\n以便推荐附近的通告或主播`}</div>
          <Button className={`${PREFIX}__confirm-button`} onClick={onClick}>
            授权
          </Button>
          <ProtocolPrivacy />
        </div>
      </Dialog.Content>
    </Dialog>
  );
}
